velocityStatistics {oce} | R Documentation

## Report Statistics of adp or adv Velocities

### Description

Report statistics of ADP or ADV velocities, such as means and variance ellipses.

### Usage

    velocityStatistics(x, control, ...)

### Arguments

`x` | an `adp` or `adv` object, i.e. one inheriting from `adp-class` or `adv-class`.
`control` | An optional `list` used to specify more information. This is presently ignored for `adv` objects. For `adp` objects, if `control$bin` is an integer, it is taken as the bin to be selected (otherwise, an average across bins is used).
`...` | additional arguments that are used in the call to `mean`.

### Value

A list containing items the major and minor axes of the covariance ellipse (`ellipseMajor` and `ellipseMinor`), the angle of the major axis anticlockwise of the horizontal axis (`ellipseAngle`), and the x and y components of the mean velocity (`uMean` and `vMean`).

### Author(s)

Dan Kelley

### See Also

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adpEnsembleAverage`, `adp`, `as.adp`, `beamName`, `beamToXyzAdp`, `beamToXyzAdv`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `subset,adp-method`, `summary,adp-method`, `toEnuAdp`, `toEnu`, `xyzToEnuAdp`, `xyzToEnu`

Other things related to `adv` data: `[[,adv-method`, `[[<-,adv-method`, `adv-class`, `adv`, `beamName`, `beamToXyz`, `enuToOtherAdv`, `enuToOther`, `plot,adv-method`, `read.adv.nortek`, `read.adv.sontek.adr`, `read.adv.sontek.serial`, `read.adv.sontek.text`, `read.adv`, `subset,adv-method`, `summary,adv-method`, `toEnuAdv`, `toEnu`, `xyzToEnuAdv`, `xyzToEnu`

### Examples

    library(oce)
    data(adp)
    a <- velocityStatistics(adp)
    print(a)
    t <- seq(0, 2*pi, length.out=100)
    theta <- a$ellipseAngle * pi / 180
    y <- a$ellipseMajor * cos(t) * sin(theta) + a$ellipseMinor * sin(t) * cos(theta)
    x <- a$ellipseMajor * cos(t) * cos(theta) - a$ellipseMinor * sin(t) * sin(theta)
    plot(adp, which="uv+ellipse+arrow")
    lines(x, y, col='blue', lty="dashed", lwd=5)
    arrows(0, 0, a$uMean, a$vMean, lwd=5, length=1/10, col='blue', lty="dashed")

[Package oce version 0.9-22 Index]